## org.codehaus.groovy.grails.web.context
Class GrailsConfigUtils

    java.lang.Object
      org.codehaus.groovy.grails.web.context.GrailsConfigUtils

    public class GrailsConfigUtils

extends Object

A common class where shared configurational methods can reside

Since:
  22-Feb-2006
Author:
  Graeme Rocher

Constructor Summary
`GrailsConfigUtils()`

Method Summary
`static WebApplicationContext` `configureWebApplicationContext(ServletContext servletContext, WebApplicationContext parent)`
`static void` `executeGrailsBootstraps(GrailsApplication application, WebApplicationContext webContext, ServletContext servletContext)` Executes Grails bootstrap classes

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrailsConfigUtils

    public GrailsConfigUtils()

Method Detail

### executeGrailsBootstraps

    public static void executeGrailsBootstraps(GrailsApplication application,
                                               WebApplicationContext webContext,
                                               ServletContext servletContext)

  Executes Grails bootstrap classes

  Parameters:
    `application` - The Grails ApplicationContext instance
    `webContext` - The WebApplicationContext instance
    `servletContext` - The ServletContext instance

### configureWebApplicationContext

    public static WebApplicationContext configureWebApplicationContext(ServletContext servletContext,
                                                                       WebApplicationContext parent)

Copyright (c) 2005-2009 The Grails project